zrush = zrush or {}
zrush.f = zrush.f or {}

CreateConVar("mg_rush_cl_vfx_updatedistance", 1000, {FCVAR_ARCHIVE})
CreateConVar("mg_rush_cl_vfx_particleeffects", 1, {FCVAR_ARCHIVE})
CreateConVar("mg_rush_cl_draw_ui", 1, {FCVAR_ARCHIVE})

function zrush.f.DrawUI()
	if GetConVar("mg_rush_cl_draw_ui"):GetInt() == 1  then
		return true
	else
		return false
	end
end

net.Receive("zrush_NetworkFuelBarrels_net", function()
	zrush.Inventory = net.ReadTable()
	
	local amt = 0
	for k, v in pairs(zrush.Inventory) do
		amt = amt + v
	end

	zrush.InventoryAmt = amt
end)